zenilib: zenilib/jni/external/openal-soft/OpenAL32/Include/alBuffer.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Enumerations | Functions
alBuffer.h File Reference
`#include "alMain.h"`

Go to the source code of this file.

## Classes

struct | ALbuffer

## Typedefs

typedef struct ALbuffer | ALbuffer

## Enumerations

enum | FmtChannels { FmtMono = UserFmtMono, FmtStereo = UserFmtStereo, FmtRear = UserFmtRear, FmtQuad = UserFmtQuad, FmtX51 = UserFmtX51, FmtX61 = UserFmtX61, FmtX71 = UserFmtX71 }
enum | FmtType { FmtByte = UserFmtByte, FmtShort = UserFmtShort, FmtFloat = UserFmtFloat }
enum | UserFmtChannels { UserFmtMono = AL_MONO_SOFT, UserFmtStereo = AL_STEREO_SOFT, UserFmtRear = AL_REAR_SOFT, UserFmtQuad = AL_QUAD_SOFT, UserFmtX51 = AL_5POINT1_SOFT, UserFmtX61 = AL_6POINT1_SOFT, UserFmtX71 = AL_7POINT1_SOFT }

enum

UserFmtType {
UserFmtByte = AL_BYTE_SOFT, UserFmtUByte = AL_UNSIGNED_BYTE_SOFT, UserFmtShort = AL_SHORT_SOFT, UserFmtUShort = AL_UNSIGNED_SHORT_SOFT,
UserFmtInt = AL_INT_SOFT, UserFmtUInt = AL_UNSIGNED_INT_SOFT, UserFmtFloat = AL_FLOAT_SOFT, UserFmtDouble = AL_DOUBLE_SOFT,
UserFmtByte3 = AL_BYTE3_SOFT, UserFmtUByte3 = AL_UNSIGNED_BYTE3_SOFT, UserFmtMulaw, UserFmtAlaw,
UserFmtIMA4
}

## Functions

ALuint | BytesFromFmt (enum FmtType type)
ALuint | BytesFromUserFmt (enum UserFmtType type)
ALuint | ChannelsFromFmt (enum FmtChannels chans)
ALuint | ChannelsFromUserFmt (enum UserFmtChannels chans)
static __inline ALuint | FrameSizeFromFmt (enum FmtChannels chans, enum FmtType type)
static __inline ALuint | FrameSizeFromUserFmt (enum UserFmtChannels chans, enum UserFmtType type)
ALvoid | ReleaseALBuffers (ALCdevice *device)

## Typedef Documentation

typedef struct ALbuffer ALbuffer

## Enumeration Type Documentation

enum FmtChannels

Enumerator
FmtMono |
FmtStereo |
FmtRear |
FmtQuad |
FmtX51 |
FmtX61 |
FmtX71 |

Definition at line 51 of file alBuffer.h.

enum FmtType

Enumerator
FmtByte |
FmtShort |
FmtFloat |

Definition at line 46 of file alBuffer.h.

enum UserFmtChannels

Enumerator
UserFmtMono |
UserFmtStereo |
UserFmtRear |
UserFmtQuad |
UserFmtX51 |
UserFmtX61 |
UserFmtX71 |

Definition at line 26 of file alBuffer.h.

enum UserFmtType

Enumerator
UserFmtByte |
UserFmtUByte |
UserFmtShort |
UserFmtUShort |
UserFmtInt |
UserFmtUInt |
UserFmtFloat |
UserFmtDouble |
UserFmtByte3 |
UserFmtUByte3 |
UserFmtMulaw |
UserFmtAlaw |
UserFmtIMA4 |

Definition at line 11 of file alBuffer.h.

## Function Documentation

ALuint BytesFromFmt | ( | enum FmtType | type | ) |

Definition at line 2109 of file alBuffer.c.

References FmtByte, FmtFloat, and FmtShort.

Referenced by alBufferSubDataSOFT(), alGetBufferi(), alSourceQueueBuffers(), FrameSizeFromFmt(), LoadData(), and SetSourceiv().

ALuint BytesFromUserFmt | ( | enum UserFmtType | type | ) |

Definition at line 2008 of file alBuffer.c.

References UserFmtAlaw, UserFmtByte, UserFmtByte3, UserFmtDouble, UserFmtFloat, UserFmtIMA4, UserFmtInt, UserFmtMulaw, UserFmtShort, UserFmtUByte, UserFmtUByte3, UserFmtUInt, and UserFmtUShort.

Referenced by alBufferSubDataSOFT(), and FrameSizeFromUserFmt().

ALuint ChannelsFromFmt | ( | enum FmtChannels | chans | ) |

Definition at line 2119 of file alBuffer.c.

References FmtMono, FmtQuad, FmtRear, FmtStereo, FmtX51, FmtX61, and FmtX71.

Referenced by alBufferSubDataSOFT(), alBufferSubSamplesSOFT(), alGetBufferi(), alGetBufferSamplesSOFT(), alSourceQueueBuffers(), FrameSizeFromFmt(), GetSourceOffsets(), LoadData(), and SetSourceiv().

ALuint ChannelsFromUserFmt | ( | enum UserFmtChannels | chans | ) |

Definition at line 2028 of file alBuffer.c.

References UserFmtMono, UserFmtQuad, UserFmtRear, UserFmtStereo, UserFmtX51, UserFmtX61, and UserFmtX71.

Referenced by alBufferData(), alBufferSubDataSOFT(), FrameSizeFromUserFmt(), GetSampleOffset(), and LoadData().

static __inline ALuint FrameSizeFromFmt | ( | enum FmtChannels | chans,
|  | enum FmtType | type
| ) |  |

static

Definition at line 63 of file alBuffer.h.

References BytesFromFmt(), and ChannelsFromFmt().

Referenced by alBufferSubSamplesSOFT(), alGetBufferi(), and alGetBufferSamplesSOFT().

static __inline ALuint FrameSizeFromUserFmt | ( | enum UserFmtChannels | chans,
|  | enum UserFmtType | type
| ) |  |

static

Definition at line 38 of file alBuffer.h.

References BytesFromUserFmt(), and ChannelsFromUserFmt().

Referenced by alBufferData(), alBufferSubDataSOFT(), GetSampleOffset(), GetSourceOffsets(), and LoadData().

ALvoid ReleaseALBuffers | ( | ALCdevice * | device | ) |

Definition at line 2228 of file alBuffer.c.

References UIntMap::array, ALCdevice_struct::BufferMap, ALbuffer::data, free, FreeThunkEntry(), i, ALbuffer::id, memset, NULL, UIntMap::size, and UIntMap::value.

Referenced by FreeDevice().